Bug 1021755 - Use fc-cache /usr/share/fonts/<your font directory> instead of /usr/share/fonts
Summary: Use fc-cache /usr/share/fonts/<your font directory> instead of /usr/share/fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: urw-fonts
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1021251
TreeView+ depends on / blocked
 
Reported: 2013-10-22 02:23 UTC by Akira TAGOH
Modified: 2013-12-14 03:41 UTC (History)
6 users (show)

Fixed In Version: urw-fonts-2.4-18.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-03 10:35:22 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2013-10-22 02:23:03 UTC
Description of problem:
Running fc-cache with /usr/share/fonts takes too much time and may breaks the cache for parents when installing multiple font packages or upgrading fontconfig, especially sometimes happens on the installation say.
As the macro in fontpackages does, please follow it up and use fc-cache /usr/share/fonts/<your font directory> instead of /usr/share/fonts.

Version-Release number of selected component (if applicable):
urw-fonts-2.4-15.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1.rpm -q --scripts urw-fonts-2.4-15.fc19.noarch
2.
3.

Actual results:
postinstall scriptlet (using /bin/sh):
{
   umask 133
   mkfontscale /usr/share/fonts/default/Type1 || :
   mkfontdir /usr/share/fonts/default/Type1 || :
   fc-cache /usr/share/fonts
} &> /dev/null || :
postuninstall scriptlet (using /bin/sh):
{
   if [ "$1" = "0" ]; then
      fc-cache /usr/share/fonts
   fi
} &> /dev/null || :

Expected results:
the directory should be /usr/share/fonts/<your font directory> instead

Additional info:

Comment 1 Terry Burton 2013-11-20 14:34:12 UTC
Hi,

Bumping this for attention as the fix seems trivial.

Spot: I've added you as a cc: as someone who has previously committed to this package and participated in bug #921706, but apologies if you have no interest.

This is currently resulting in unreliable builds of Barcode Writer in Pure PostScript on Fedora:

https://build.opensuse.org/package/show/home:terryburton:postscriptbarcode/libpostscriptbarcode

(Note that the official Fedora package currently works around this problem by disabling a feature.)


All the best.

Comment 2 Fedora Update System 2013-11-20 21:03:53 UTC
urw-fonts-2.4-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/urw-fonts-2.4-18.fc19

Comment 3 Fedora Update System 2013-11-20 21:04:04 UTC
urw-fonts-2.4-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/urw-fonts-2.4-18.fc20

Comment 4 Terry Burton 2013-11-21 00:29:08 UTC
Thanks for the rapid fix!

Comment 5 lnie 2013-11-22 08:52:51 UTC
Tested with urw-fonts-2.4-18.fc20.noarch.
After reboot,run rpm -q --scripts urw-fonts-2.4-18.fc20
The actual output is still the same as Akira's

Comment 6 Tom "spot" Callaway 2013-11-22 13:54:36 UTC
[spot@wolverine ~]$ rpm -q urw-fonts
urw-fonts-2.4-17.fc20.noarch
[spot@wolverine ~]$ rpm -q --scripts urw-fonts-2.4-17.fc20
postinstall scriptlet (using /bin/sh):
{
   umask 133
   mkfontscale /usr/share/fonts/default/Type1 || :
   mkfontdir /usr/share/fonts/default/Type1 || :
   fc-cache /usr/share/fonts
} &> /dev/null || :
postuninstall scriptlet (using /bin/sh):
{
   if [ "$1" = "0" ]; then
      fc-cache /usr/share/fonts
   fi
} &> /dev/null || :

[spot@wolverine ~]$ sudo rpm -Uvh urw-fonts-2.4-18.fc20.noarch.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:urw-fonts-2.4-18.fc20            ################################# [ 50%]
Cleaning up / removing...
   2:urw-fonts-2.4-17.fc20            ################################# [100%]

[spot@wolverine ~]$ rpm -q urw-fonts
urw-fonts-2.4-18.fc20.noarch

[spot@wolverine ~]$ rpm -q --scripts urw-fonts-2.4-18.fc20
postinstall scriptlet (using /bin/sh):
{
   umask 133
   mkfontscale /usr/share/fonts/default/Type1 || :
   mkfontdir /usr/share/fonts/default/Type1 || :
   fc-cache /usr/share/fonts/default/Type1
} &> /dev/null || :
postuninstall scriptlet (using /bin/sh):
{
   if [ "$1" = "0" ]; then
      fc-cache /usr/share/fonts/default/Type1
   fi
} &> /dev/null || :

*****

Note the fc-cache lines have been fixed, and are not the same as Akira's.

Comment 7 Fedora Update System 2013-11-23 19:44:55 UTC
Package urw-fonts-2.4-18.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing urw-fonts-2.4-18.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21814/urw-fonts-2.4-18.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-12-03 10:35:22 UTC
urw-fonts-2.4-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-14 03:41:45 UTC
urw-fonts-2.4-18.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.